﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;

namespace DateTimeEditSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        private string _dateshow;

        public string Dateshow
        {
            get { return _dateshow; }
            set
            {
                _dateshow = value;
            }
        }

        public MainWindow()
        {


            System.Threading.Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("pt-BR"); 
            InitializeComponent();

            this.DataContext = this;
        }
    }

    public class Datetimeconvertor : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                string data = value.ToString();
                DateTime d = DateTime.Parse(data);
                string[] names = new string[] { "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December" };
                string month = names[d.Month - 1];
                string year = ((d.Year).ToString());
                return month + " " + year;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null)
            {
                string data = value.ToString();
                DateTime d = DateTime.Parse(data);
                string[] names = new string[] { "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December" };
                string month = names[d.Month - 1];
                string year = ((d.Year).ToString());
                return month + " " + year;
            }

            return value;
        }

        #endregion
    }

}
